# SAE-S2.01_MAUI


Diagramme de classe de l'application

```plantuml
@startuml
Class User {
    - String pseudo
    - String mot_de_passe
    + int getNote(Carte)
    + int setNote(Carte)
    + int getNote(Pack)
    + int setNote(Pack)
    + string getCommentaire(Commentaire)
    + string setCommentaire(Commentaire)
    + int getLike(Commentaire)
    + int setLike(Commentaire)
    + int getSignale(Commentaire)
    + int setSignale(Commentaire)
}

Class Carte {
    - String nom
    - String description
    - String pouvoir
    - String strategies
    - int note
    - String lienImage
    + int getNbCommentaire(Commentaire)
    + int getCommentaire(Commentaire)
    + int getNote()
    + int setNote()
}

Class Commentaire {
    - String contenu
    - int signale
    - int nblike
    - int nbdislike
    + int getLike()
    + int setLike()
}

Class Pack {
	- String nom
    - String description
    - int note
    - String lienImage
    - Vector<Carte> cartes
    + int getNbCommentaire(Commentaire)
    + int getCommentaire(Commentaire)
    + Vector<&Carte> getCartes()
}

Class Camp {
    - String nom
    - String description
    - String lienImage
    - Vector<Carte> cartes
    + Vector<&Carte> getCartes()
}

User --> Pack
User --> Carte
User --> Commentaire
Commentaire *--> Pack
Commentaire *--> Carte
Pack --|> Carte
Camp --|> Carte

hide circle
allowmixing
skinparam classAttributeIconSize 0
skinparam classBackgroundColor #ffffb9
skinparam classBorderColor #800000
skinparam classArrowColor #800000
skinparam classFontColor #black
skinparam classFontName Tahoma
@enduml
```
 
